package com.bonus.core.account.v3.web.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AccExistFrozenPageDTO extends AccCommonPageDTO {
   @ApiModelProperty("人员类别")
   private Integer psnType;
   @ApiModelProperty(
      value = "人员状态 1-正常 2-注销",
      hidden = true
   )
   private Integer custState;
   @ApiModelProperty(
      value = "账户状态 1正常 2停用",
      hidden = true
   )
   private Integer accStatus;

   public Integer getPsnType() {
      return this.psnType;
   }

   public Integer getCustState() {
      return this.custState;
   }

   public Integer getAccStatus() {
      return this.accStatus;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setCustState(final Integer custState) {
      this.custState = custState;
   }

   public void setAccStatus(final Integer accStatus) {
      this.accStatus = accStatus;
   }

   public String toString() {
      Integer var10000 = this.getPsnType();
      return "AccExistFrozenPageDTO(psnType=" + var10000 + ", custState=" + this.getCustState() + ", accStatus=" + this.getAccStatus() + ")";
   }



}
